org.apache.ignite.mxbean

## Interface PerformanceStatisticsMBean

- Deprecated.
  Use managements API beans, instead.

      @Deprecated
       @MXBeanDescription(value="MBean provide access to performance statistics management.")
      public interface PerformanceStatisticsMBean

  MBean that provides access to performance statistics management.
  See Also:
    `CommandMBean`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `rotate()` Deprecated. Rotate performance statistics in the cluster.
    `void` | `start()` Deprecated. Start collecting performance statistics in the cluster.
    `boolean` | `started()` Deprecated.
    `void` | `stop()` Deprecated. Stop collecting performance statistics in the cluster.

- - ### Method Detail

    - #### start

          @MXBeanDescription(value="Start collecting performance statistics in the cluster.")
          void start()
                                                                                                  throws IgniteCheckedException

      Deprecated.
      Start collecting performance statistics in the cluster.
      Throws:
        `IgniteCheckedException`

    - #### stop

          @MXBeanDescription(value="Stop collecting performance statistics in the cluster.")
          void stop()
                                                                                                throws IgniteCheckedException

      Deprecated.
      Stop collecting performance statistics in the cluster.
      Throws:
        `IgniteCheckedException`

    - #### rotate

          @MXBeanDescription(value="Rotate performance statistics in the cluster.")
          void rotate()
                                                                                         throws IgniteCheckedException

      Deprecated.
      Rotate performance statistics in the cluster.
      Throws:
        `IgniteCheckedException`

    - #### started

          @MXBeanDescription(value="True if performance statistics collection is started.")
          boolean started()

      Deprecated.
      Returns:
        `True` if performance statistics collection is started.

${current.year} Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023